module Upvote
  module Configuration

    def redis=(client)
      @client = client
    end

    def redis
      @client ||= Redis.new
    end

    def id_method(klass)
      id_methods[klass]
    end

    def id_methods
      @id_methods ||= Hash.new { |h, k| h[k] = default_id_method }
    end

    def default_id_method=(method)
      @id_method = method
    end

    def default_id_method
      @id_method ||= :id
    end

  end
end
